<ng-container *ngIf="{ fmi: fmi } as vm">
  <section>
    <h2>
      {{ 'fmi.read.intro.title' | translate }}
    </h2>

    <h4>
      {{ 'fmi.read.intro.inChargeMember' | translate }}
    </h4>
    <article *ngIf="vm.fmi?.inChargeMember as inChargeMember">
      <h5>
        {{ inChargeMember.firstName }}
        {{ inChargeMember.lastName }}
      </h5>
      <span class="license-wrapper">
        <small>
          {{ inChargeMember.code | licenseNumber }}
        </small>
        <mat-icon *ngIf="!inChargeMember.slug"
                  [matTooltip]="'fmi.read.tip.manual' | translate"
                  matTooltipPosition="above">
          warning
        </mat-icon>
      </span>
    </article>

    <h4>
      {{ 'fmi.read.intro.doctor' | translate }}
    </h4>
    <article>
      <h5>
        {{ vm.fmi?.doctor }}
      </h5>
    </article>

    <ng-template #form>
      <form [formGroup]="formGroup">
        <mat-form-field>
          <mat-label>
            {{ 'fmi.read.intro.comment' | translate }}
          </mat-label>
          <textarea matInput cdkTextareaAutosize
                    name="comment" formControlName="comment">

          </textarea>
        </mat-form-field>
      </form>
    </ng-template>
    <ng-template #article>
      <h4>
        {{ 'fmi.read.intro.comment' | translate }}
      </h4>
      <article>
        <p *ngIf="vm.fmi?.comment">
          {{ vm.fmi?.comment }}
        </p>
      </article>
    </ng-template>
    <ng-container *ngIf="formGroup then form; else article"></ng-container>
  </section>
</ng-container>
